************************************************************************
*
*  File: NUCRSTAT
*
*  Creates NUNIT's overall statistics (number of TestCases etc.).
*
*  Tags: NUNIT
*
*  Parameters:
*    NUTSP - The results of the TestSuite.
*
*  Returns:
*    NUCRSTAP - Number of TestCases, Tests and Assertions.
*
*  About:
*    Library       - NUNIT
*    Erstellt      - 29.08.2009
*    Autor         - $Author: Stefan $
*    Revison       - $LastChangedRevision: 264 $
*    Letzter Autor - $LastChangedBy: Stefan $
*    Modifiziert   - $Date: 2009-08-31 12:44:42 +0200 (Mo, 31 Aug 2009) $
*    Id            - $Id: NUCRSTAT.NSS 264 2009-08-31 10:44:42Z Stefan $
************************************************************************
*
DEFINE DATA
*
PARAMETER USING NUTSP
PARAMETER USING NUCRSTAP
*
LOCAL USING NUCONST
*
LOCAL
*
01 #MAX-NUM-TESTS (N8)
*
01 #TC (N8)
01 #T (N8)
*
END-DEFINE
*
DEFINE SUBROUTINE CREATE-STATISTICS
*
NUCRSTAP.NUM-TESTCASES := *OCCURRENCE(NUTSP.TESTCASES)
#MAX-NUM-TESTS := *OCCURRENCE(NUTSP.TEST, 2)
*
FOR #TC 1 NUCRSTAP.NUM-TESTCASES
*
  IF NUTSP.TC-RESULT(#TC) EQ ERROR 
    ADD 1 TO NUCRSTAP.NUM-TESTCASES-ERROR 
  END-IF 
  IF NUTSP.TC-RESULT(#TC) EQ FAILURE 
    ADD 1 TO NUCRSTAP.NUM-TESTCASES-FAILURE 
  END-IF 
*
  FOR #T 1 #MAX-NUM-TESTS 
    IF NUTSP.TEST(#TC, #T) NE ' ' 
      ADD 1 TO NUCRSTAP.NUM-TESTS 
      IF NUTSP.TEST-RESULT(#TC, #T) EQ ERROR 
        ADD 1 TO NUCRSTAP.NUM-TESTS-ERROR 
      END-IF 
      IF NUTSP.TEST-RESULT(#TC, #T) EQ FAILURE 
        ADD 1 TO NUCRSTAP.NUM-TESTS-FAILURE 
      END-IF 
      ADD NUTSP.NUM-ASSERTS(#TC, #T) TO NUCRSTAP.NUM-ASSERTS 
    END-IF 
  END-FOR 
*
END-FOR
*
END-SUBROUTINE
*
END
